%define name linphone
%define version 0.6.0
%define release 0.2mdk

%define major 0
%define libname lib%name%major

Summary: Web phone
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}b.tar.bz2
License: GPL
Group: Networking/Other
URL: http://www.linphone.org/
Buildroot: %_tmppath/%name-buildroot
Requires: libosip0
Buildrequires: libosip0-devel

%description
Linphone is a Web phone with a GNOME interface. It let you 
make two-party calls over IP networks such as the Internet. 
It uses the IETF protocols SIP (Session Initiation Protocol) 
and RTP (Realtime TransporT Protocol) to make calls, so it 
should be able to communicate with other SIP-based Web phones. 
With several codecs available, it can be used with high speed 
connections as well as 28k modems.

%package -n %libname
Summary: Web phone
Group: Networking/Other

%description -n %libname
Linphone is a Web phone with a GNOME interface. It let you
make two-party calls over IP networks such as the Internet.
It uses the IETF protocols SIP (Session Initiation Protocol)
and RTP (Realtime Transport Protocol) to make calls, so it
should be able to communicate with other SIP-based Web phones.
With several codecs available, it can be used with high speed
connections as well as 28k modems.

%package -n %libname-devel
Summary: Web phone
Group: Networking/Other
Provides: liblinphone-devel = %version
Requires: %libname = %version

%description -n %libname-devel
Linphone is a Web phone with a GNOME interface. It let you
make two-party calls over IP networks such as the Internet.
It uses the IETF protocols SIP (Session Initiation Protocol)
and RTP (Realtime Transport Protocol) to make calls, so it
should be able to communicate with other SIP-based Web phones.
With several codecs available, it can be used with high speed
connections as well as 28k modems.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir

make

%install


make PIXDESTDIR=$RPM_BUILD_ROOT DESTDIR=$RPM_BUILD_ROOT \
	linphone_manualdir=$RPM_BUILD_ROOT%_datadir/gnome/help/linphone/C install

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT AUTHORS BUGS COPYING INSTALL README
%_bindir/*
%config(noreplace) %_sysconfdir/CORBA/servers/*
%_datadir/applets/Network/*.desktop
%_datadir/gnome/apps/Internet/*.desktop
%_datadir/gnome/help/linphone/
%_datadir/gtk-doc/html/mediastreamer
%_datadir/pixmaps/linphone
%_datadir/sounds/*

%files -n %libname
%defattr (-,root,root)
%_libdir/*.so.*

%files -n %libname-devel
%defattr (-,root,root)
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la


%changelog
* Tue Feb 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-0.2mdk
- rebuild againt new libosip

* Tue Dec 18 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-0.1mdk
- 0.6.0

* Wed Oct 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.1mdk
- new
